Breaking News

Main Menu

Autocad Lisp Steel Sections Sizes Of Planets

пятница 25 января admin 84
Autocad Lisp Steel Sections Sizes Of Planets Rating: 6,0/10 5326 votes

Jan 27, 2016 - By Bill Tillman, January 27, 2016 in AutoLISP, Visual LISP & DCL. The task was to come up with a lisp routine that would draw a section view of various steel angles. Or in your part of the planet, night. 'Dynamic blocks' 1 angle and use a look up for all the relevant details which alters to correct size.

I have a rather simple task that I made good progress on until. The task was to come up with a lisp routine that would draw a section view of various steel angles. That wasn't too hard but now I need to join all the lines and arcs into a single entity so I can copy, mirror, move, etc.with ease. Now, all of you who know of my 'Totally Automated' program remember that this is exactly that. Totally automated. No user input allowed. Of course, you can always take the entmake route (defun DrawAngleSection ( pt l1 l2 angThk) (entmakex (list '( 0.

'LWPOLYLINE') '( 8. 'Angles') '(100. 'AcDbEntity') '(100. 'AcDbPolyline') '( 90.

1) (list 10 0.0 0.0) (list 10 0.0 (* -0.4 angThk)) (cons 42 (- (sqrt 2.0) 1)) (list 10 (* 0.6 angThk) (- angThk)) (list 10 (- l1 (* 2.2 angThk)) (- angThk)) (cons 42 (- 1 (sqrt 2.0))) (list 10 (- l1 angThk) (* -2.2 angThk)) (list 10 (- l1 angThk) (- (* 0.6 angThk) l2)) (cons 42 (- (sqrt 2.0) 1)) (list 10 (- l1 (* 0.4 angThk)) (- l2)) (list 10 l1 (- l2)) (list 10 l1 0.0) ) ) (command-s '_move' (entlast) ' '_non' '(0 0 0) '_non' pt) (sssetfirst nil (ssadd (entlast) (ssadd))) ). The method that Stefan MBR posted for drawing the angle worked really slick so I'm trying to use it for another object I need drawn. The other object is the plan view of an angle with radiused corners. Here is the code I've got so far: (defun DrawPlanofAngle (l thk w) (entmakex (list '(0. 'LWPOLYLINE') '(8. 'AcDbEntity') '(100.

'AcDbPolyline') '(90. 1) (list 10 0.0 0.0) (list 10 (- w 0.25) 0.0) (cons 42 (- 1 (sqrt 2.0))) (list 10 w -0.25) (list 10 w (* (- l thk) -1)) (cons 42 (- 1 (sqrt 2.0))) (list 10 (- w 0.25) (* l -1)) (list 10 0.0 (* l -1)) ) ) ); end DrawPlanofAngle. Works pretty good but I'm stumped with a few last things. I need to include another line that will represent the thickness of the leg that you will see in the plan view of this angle.

And the code also draws the thing at '(0.0 0.0) and then moves the completed polyline to the desired point. I was hoping to get this thing to draw it at the desired point from the get-go, and I think I can get that done.

But how I could include the other line is where I'm lost. I can of course draw it but then if I move it I loose it. So I was trying to make that line part of the same polyline but again, that starts to become inefficient, IMHO. Here are some sketches which should explain my point. Okay, figured out the problem with the location but still working this morning on getting that second line into the mix. I guess I could draw the line and then make a group of the two items. But I'm thinking that I could just overlap a short line segment and create it all as one polyline.

Qualcomm asus x555lab. More to come. (defun DrawPlanofAngle (pt l thk w) (entmakex (list '(0. 'LWPOLYLINE') '(8. 'AcDbEntity') '(100.

'AcDbPolyline') '(90. 1) (list 10 (car pt) (cadr pt)) (list 10 (- (+ (car pt) w) 0.25) (cadr pt)) (cons 42 (- 1 (sqrt 2.0))) (list 10 (+ (car pt) w) (- (cadr pt) 0.25)) (list 10 (+ (car pt) w) (- (cadr pt) l -0.25)) (cons 42 (- 1 (sqrt 2.0))) (list 10 (- (+ (car pt) w) 0.25) (- (cadr pt) l)) (list 10 (car pt) (- (cadr pt) l)) ) ) ); end DrawPlanofAngle. Hey BIGAL, good morning to you down under from the USA. By George, I think I have it.and in LISP. (defun c:BIGAL () (setq origin '(0.0 0.0 0.0) a90 (dtr 90.) a270 (dtr 270.) ) (setvar 'CECOLOR 'Yellow') (command-s '._CIRCLE' origin 0.25 ') (command-s '._ARRAYRECT' (entlast) ' 'COL' 3 3 'R' 3 1.5 ' ') (setvar 'CECOLOR 'Red') (command-s '.PLINE' (polar origin 0 3) (polar origin a90 3) (polar (polar origin a90 3) 0 4.5) (polar origin a270 1.5) (polar origin a90 3) ') (setvar 'CECOLOR 'ByLayer') (command-s '._ZOOM' 'E') (princ) ); end bal (defun dtr (deg) (* pi (/ deg 180.))).

Mail merge toolkit serial key. Mail Merge Toolkit 2.7 + keygen crack patch. January 21, 2018. Copy Download Link (paste this to your browser) Comments. Name * Email * Website. With Mail Merge Toolkit add-in, you can merge fields from different data bases, incl. Excel data files: all the opportunities of the native mail merge in Word are supported by our Mail Merge Toolkit since it is the extension of the regular Office Mail Merge feature.